#!/bin/sh

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
export PATH

if [ -e /mnt/usbhdd/sd-backup.tgz ]; then
  tar xzf /mnt/usbhdd/sd-backup.tgz -C /
  ln -s /mnt/sd2/sd-backup upd-link
else
  mount /dev/sda2 /mnt/usbhdd
  ln -s /mnt/usbhdd upd-link
fi
if [ `cat upd-link/etc/hostname.0` = "VPNpi1000" ]; then
  cp -p upd-link/etc/hostname /etc/
  cp -p upd-link/etc/hosts /etc/
  cp -p upd-link/home/pi/.ssh/id_rsa* /home/pi/.ssh/
  cp -p upd-link/home/pi/.ssh/authorized_keys /home/pi/.ssh/
  cp -a upd-link/home/echowear/.ssh /home/echowear/
  cp -p upd-link/home/echowear/autossh.sh /home/echowear/
  systemctl stop vpnserver.service
  cp -p upd-link/usr/local/vpnserver/vpn_server.config /usr/local/vpnserver/
  shutdown -r +1
fi
rm upd-link
umount /mnt/usbhdd

